All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.awt
Class Frame

    com.sas.awt.Frame

All Implemented Interfaces:
  ContainerInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class Frame

implements com.sas.lang.StringDataInterface

The Frame class provides a top-level window for applets and applications. The frame may have a title, icon, and menu bar and can be resized.
Creation:

1. Create a Dialog
   Frame frame1 = new Frame();
   frame1.initialize();
2. Create a Frame with the specified title
   Frame frame1 = new Frame(title);
   frame1.initialize(); where title is the frame title

Default Size:

- width = 100
- height = 30

Notes:

- The dispose() method should be called when the frame is no longer needed in order to free window system resources.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Constructor Summary
`Frame()` Default constructor
`Frame(java.lang.String title)` Create a frame with the specified title

Method Summary
`static int` | `getDefaultHeight()` Returns the default height for instances of this class
`static int` | `getDefaultWidth()` Returns the default width for instances of this class
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()` Returns the ExtendedBeanInfo for this class.
`java.lang.String` | `getText()` Returns the Frame title
`static void` | `setDefaultHeight(int newDefaultHeight)` Sets the default height of the component.
`static void` | `setDefaultWidth(int newDefaultWidth)` Sets the default width of the component.
`void` | `setIconImage(java.awt.Image image)` Sets the image to display when the frame is iconized
`void` | `setMenuBar(java.awt.MenuBar mb)` Sets the menubar for the frame
`void` | `setResizable(boolean state)` Sets the resizable property to the specified boolean state
`void` | `setText(java.lang.String text)` Sets the Frame title.
`void` | `setTitle(java.lang.String text)` Sets the Frame title with the specified text

Methods inherited from class com.sas.awt.FrameContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setDefaultValues, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.FrameVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPreferredSize, getPrePainter, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, paint, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### Frame

    public Frame()

  Default constructor

### Frame

    public Frame(java.lang.String title)

  Create a frame with the specified title

  Parameters:
    `title` - title of the frame

Method Detail

### getDefaultWidth

    public static int getDefaultWidth()

  Returns the default width for instances of this class

  Returns:
    the default width in pixels
  See Also:
    `setDefaultWidth(int)`

### setDefaultWidth

    public static void setDefaultWidth(int newDefaultWidth)

  Sets the default width of the component. The default width will be used by webAF when creating this component.

  Parameters:
    `newDefaultWidth` - the new default width in pixels
  See Also:
    `getDefaultWidth()`

### getDefaultHeight

    public static int getDefaultHeight()

  Returns the default height for instances of this class

  Returns:
    the default height in pixels
  See Also:
    `setDefaultHeight(int)`

### setDefaultHeight

    public static void setDefaultHeight(int newDefaultHeight)

  Sets the default height of the component. The default height will be used by webAF when creating this component.

  Parameters:
    `newDefaultHeight` - the new default height in pixels
  See Also:
    `getDefaultHeight()`

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

  Returns the ExtendedBeanInfo for this class.

  Returns:
    ExtendedBeanInfo for this class

### getText

    public java.lang.String getText()

  Returns the Frame title

  Specified by:
    `getText` in interface `com.sas.lang.StringDataInterface`
  Returns:
    Frame title
  See Also:
    `setText(java.lang.String)`

### setIconImage

    public void setIconImage(java.awt.Image image)

  Sets the image to display when the frame is iconized

  Overrides:
    `setIconImage` in class `java.awt.Frame`
  Parameters:
    `image` - icon image to be displayed
  See Also:
    `Frame.getIconImage()`

### setMenuBar

    public void setMenuBar(java.awt.MenuBar mb)

  Sets the menubar for the frame

  Overrides:
    `setMenuBar` in class `java.awt.Frame`
  Parameters:
    `mb` - menubar for the frame
  See Also:
    `Frame.getMenuBar()`

### setResizable

    public void setResizable(boolean state)

  Sets the resizable property to the specified boolean state

  Overrides:
    `setResizable` in class `java.awt.Frame`
  Parameters:
    `state` - boolean value
    `#isResizable` -

### setText

    public void setText(java.lang.String text)

  Sets the Frame title. This method is an alias for setTitle(String).

  Specified by:
    `setText` in interface `com.sas.lang.StringDataInterface`
  Parameters:
    `text` - Frame title
  See Also:
    `getText()`

### setTitle

    public void setTitle(java.lang.String text)

  Sets the Frame title with the specified text

  Overrides:
    `setTitle` in class `java.awt.Frame`
  Parameters:
    `text` - Frame title
  See Also:
    `Frame.getTitle()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.